SecureIt Pro

Quantrix SecureIt Pro

SecureIt Pro is a versatile security application for your Windows desktop. Use SecureIt Pro to lock your computer when you're not there, to stop malicious users from accessing your desktop, or simply for fun. Using it is easy - just enter a password and click Lock - SecureIt Pro does the rest.

Disabling the main Windows key functions, like Ctrl+Alt+Del, Alt+Tab, the Windows key, and the Ctrl+Esc key combination; SecureIt Pro can also disable the Windows boot keys; detect for cold boots; allow other people to leave messages; log incorrect password attempts; or even hide itself every few seconds.

Advanced customizability options include the ability to block out offensive words from messages; to stop certain people from leaving messages; setting the background appearance while SecureIt Pro is locked; determining audio visual warnings to notify people of an incorrect password attempt; setting multiple passwords so that more than one user can unlock SecureIt Pro; log events, password protect the main interface and settings; and even verify that the entered password is correct.

User friendly features abound - the ability to set password reminders is great for users who tend to be on the forgetful side of life. For security-minded users, lock the settings so that only people who know the valid password will be able to change the settings. Also, the advanced Keydisk feature provides for more security by using a disk as a 'key' to lock and unlock SecureIt Pro.

For more settings, users can use the advanced settings dialog to access deeper settings regarding SecureIt Pro's operation, like how SecureIt Pro behaves after it is unlocked; where the registry values are stored; or define shortcut keys for easy access to SecureIt Pro's functions. In addition to shortcut keys for ease-of-access, the QuickSecure and QuickLock features of SecureIt Pro allow users to quickly secure their computer. You can also set SecureIt Pro to act as the Windows screen saver, or alternately disable the screen saver while SecureIt Pro is locked to avert potential security threats arising from screen savers.

To find out more, keep reading.

Quantrix SecureIt Pro - total desktop security.


Getting Started with SecureIt Pro

Using SecureIt Pro is simple and intuitive thanks to a user-friendly interface and simple but powerful commands. Here's a very brief tutorial to get you started using SecureIt Pro.

Step One - Let's start SecureIt Pro

First of all we need to get SecureIt Pro up and running. Click here for more information about starting SecureIt Pro.

Step Two - Initialization

If you have already entered SecureIt Pro's First Time Initialization information, please proceed to the next step.

The first time you run SecureIt Pro, a First Time Initialization screen will be shown for you to enter data which may be requested by SecureIt Pro if you wish to activate the custom back door in the event of a lockout. Click here for more information regarding First Time Initialization.

Step Three - Welcome to SecureIt Pro

You should now see the SecureIt Pro main interface on your screen. Simple isn't it? Now let's get to know it. The Menu > button is a very important feature that you must notice. It allows you access to many options, like SecureIt Pro's settings and advanced settings. Click here to find out more about the menus. On the main interface, there is also a Password field. This is probably one of the most important parts of SecureIt Pro.

Step Four - Let's lock

Let's try out SecureIt Pro. Enter the password 'password' into the Password field. Make sure you type it correctly and take note of case. Password are case sensitive!

Step Five - The click

Now for the hard part - you need to click the Lock button. After you click it, SecureIt Pro should pop up a password verification dialog box asking you to re-enter your password. Re-enter it, and click OK.

Step Six - It's locked!

If everything went according to plan, SecureIt Pro should now be locked. Have a look around, because at the next step we'll be taking it all away.

Step Seven - Unlocking it

Enter the password into the Password field, and then click the Unlock button. SecureIt Pro should revert to it's unlocked state.

That's the end of the tutorial. For more in-depth coverage of more SecureIt Pro topics, read through more of this help file.


Initialization

The very first time SecureIt Pro is run (and only the first time - this screen is displayed on a one-time only basis), the SecureIt Pro Initialization Dialog will be shown.

The purpose of the Initialization dialog is primarily in case of a lockout - where you are locked out of your computer either because you have forgotten your password, or (perish the thought) something has gone wrong with SecureIt Pro. The friendly wizard-style interface of the initialization dialog will take you through the process of setting up SecureIt Pro for use, in particular generating a personalized back door code for you to use in the event of a lockout.

Once you receive your personalized back door code, be sure to write it down and keep it in a safe place. Also, ensure that the details that you enter are all correct as you will NOT have an opportunity to change these later on. These details will be required in the case of a lockout - you will need to enter them in a dialog similar to the one below.

To activate the back door in the case of a lockout, you will be required to enter all fields precisely as you entered them during initialization. If a field is incorrectly entered, you will NOT be able to activate the back door.

The initialization wizard will instruct you on how to activate the back door from within SecureIt Pro. Please remember this, or write it down so that you will know how to access the back door activation screen in the case of a lockout. This information will NOT be released to you if you e-mail us concerning this issue.

Note: Fields are NOT case sensitive.

Once the back door is active, simply click the Unlock button (or the Keydisk button if using Keydisk) to unlock SecureIt Pro. It is suggested that you then quit SecureIt Pro and restart it.


Operation

In this section, find out about various aspects regarding SecureIt Pro's operation, including:

  • Starting SecureIt Pro
  • Menus in SecureIt Pro
  • SecureIt Pro Settings
    • Boot Key Disabling
    • Cold Boot Detection
    • Event Logging
    • Keydisk
    • Locked Settings
      • Audio Visual Warnings
      • Background
      • Termination
    • Main Interface Lock
    • Messages
      • Name Filter
      • Offensive Word Filter
    • Multiple Passwords
    • Password Attempts
    • Password Protect Settings
    • Password Reminder
    • Password Verification
    • QuickSecure
    • Startup
    • Time Delay
  • Advanced Settings
    • After Unlocking
    • Main Interface Autohide
    • MouseAlive
    • QuickLock
    • Registry Options
    • Shortcut Key
    • Startup Method
  • Locking SecureIt Pro
  • Unlocking SecureIt Pro
  • Leaving messages


Starting

Starting SecureIt Pro

Start SecureIt Pro simply by click on its entry in the Programs section of the Windows Start Menu. Once SecureIt Pro is started, the main interface will be shown - unless it is the first time that SecureIt Pro is run, in which case the Initialization screen will be displayed.

SecureIt Pro Main Interface

SecureIt Pro will also place its icon in the system tray. You can access various functions using the right-click menu.


SecureIt Pro Menus

SecureIt Pro primarily has two menus that you can access, one from the main interface, the other from SecureIt Pro's icon in the system tray. Both are explained below.

Menu button menu

This menu is accessed by clicking the Menu > button in the main interface.

Cancel | Cancels the menu
SecureIt Pro Settings... | Displays the settings dialog
Advanced Settings... | Displays the advanced settings dialog
Help | Displays the help submenu
Hide SecureIt Pro | Hides the SecureIt Pro main interface
Center SecureIt Pro Window | Centers the main interface on the screen
Exit SecureIt Pro | Exits SecureIt Pro

System Tray Menu

This menu can be accessed by right-clicking SecureIt Pro's system tray icon.

Exit SecureIt Pro | Exits SecureIt Pro
Help | Displays the help submenu
Show SecureIt Pro | Shows the SecureIt Pro main interface
Hide SecureIt Pro | Hides the SecureIt Pro main interface
Cancel | Cancels the menu

Help Submenu

About SecureIt Pro | Displays the About dialog for SecureIt Pro - view copyright details and program credits
SecureIt Pro Help | Displays the SecureIt Pro help file


SecureIt Pro Settings

The SecureIt Pro settings dialog allows you to change a plethora of settings that change the way SecureIt Pro behaves, appears and functions.

In this section, find out about the plethora of SecureIt Pro's settings, including:

  • Boot Key Disabling
  • Cold Boot Detect
  • Event Logging
  • Keydisk
  • Audio Visual Warnings
  • Background
  • Termination
  • Main Interface Lock
  • Messages
  • Name Filter
  • Offensive Word Filter
  • Multiple Passwords
  • Password Attempts
  • Password Protect Settings
  • Password Reminders
  • Password Verification
  • QuickSecure
  • Startup
  • Time Delay


Audio Visual Warnings

Prefer a warning that will tell the world that your computer is being hacked? Well, it isn't quite as loud as that, but it will be enough to attract attention to itself.

SecureIt Pro can play a sound, flash the background, or sound beeps when it detects an incorrect password attempt. To enable audio warnings, check the Enable Audio Warning checkbox. To enable visual warnings, check the Enable Visual Warning checkbox. To display the individual settings screens for the audio and visual warnings, click the Show Audio or Show Visual buttons respectively.

Audio Warnings

Play Sound | Plays the specified sound file when an incorrrect password attempt has been detected. Enter the path to the sound file in the Filename field. To select a file from a list, click the Browse... button. To test the selected sound file, click the Test button.
Beep | Plays a system beep a specified number of times, waiting a predetermined interval between each beep. Enter the number of times to beep in the first field, and the pause between each beep in the second.

Visual Warnings

Flash Background Flashes the SecureIt Pro locked-screen background when an incorrect password attempt has been detected. Left-click the colored boxes to select colors to alternate. Enter the number of times to alternate the background colors in the first field, and enter the pause between each alternation in the second.

If an even number is entered for the number of flashes, SecureIt Pro's locked background (the screen background shown while SecureIt Pro is locked) will show the second color upon completion of the Flash Background sequence. If an odd number is entered, the locked background will show the first color. Your original locked background is not restored.


Background

Want to make SecureIt Pro look fancy while it is locked? Customize the background look when SecureIt Pro is locked.

Fill with default Windows Background color | Fills the background with the default Windows background color
Use Windows Wallpaper | Draws the Windows wallpaper in the background
Use desktop screen capture | Takes a snapshot of the desktop the moment that SecureIt Pro is locked and uses this image as the background
Use custom picture | Displays a custom picture in the background. Select Tile to tile this picture in the background. Click Browse... to select a picture file from a list.
Fill using custom color | Fills the background with a user-specified color. Left-click on the colored box or click the Select... button to select a color.


Boot Key Disabling

The Windows boot keys (F5, F6 and F8) are certain keys that when pressed as Windows is initially starting up can be used to enter safe mode and other modes of Windows which prevent SecureIt Pro from running. To disable these boot keys, tell SecureIt Pro to disable them by checking the Enable Boot Key Disabling option.

Note: Checking this option will disable boot keys while SecureIt Pro is locked.

Further note: Quantrix suggests that users running SecureIt Pro in Windows Millennium Edition (ME) refrain from using Boot Key Disabling as this feature is known to cause startup problems with Windows ME.


Cold Boot Detect

Worried that malicious users can just turn off the power to kill SecureIt Pro? Think again.

SecureIt Pro can be set to detect cold boots - that is, when a malicious user powers off then on the computer in an attempt to defeat SecureIt Pro's security login. If this option is enabled, SecureIt Pro will start up after a cold boot and lock the computer using the same password and settings that were enabled when the machine was cold booted. To enable this function, check the Enable Cold Boot Detection checkbox.


Event Logging

Want to know what's happening in the wonderful world of SecureIt Pro? You can - use event logging.

An event log can be created by SecureIt Pro so that the user can keep track of what is happening to SecureIt Pro. SecureIt Pro event logs incorrect passwords, invalid Keydisks, startup and quitting, and other miscellaneous activity. To use event logging, check the Enable Event Logging checkbox, and enter the filename of the log file in the Filename field. Alternatively, click Browse... and SecureIt Pro will display a save-file dialog for you to navigate to a file. If you want to view the log file, click View and SecureIt Pro will attempt to spawn the default external viewer for the specified file.


Keydisk

Want more security? Keydisk can give you more security.

SecureIt Pro's Keydisk function provides extra security for your desktop. Using a file stored on a disk as a 'key', Keydisk can essentially be used as a key to lock and unlock SecureIt Pro. The file is nearly guaranteed to be unique as it stores a random set of data coupled with miscellaneous information unique to your computer system, and also information about SecureIt Pro when it is locked - all this combines to form a high-security string of characters that is nearly impossible to match on any other computer system. Thus, the 'key' is unique to your computer.

To enable the Keydisk function, check the Enable Keydisk checkbox. Then, elect how you want Keydisk to be used.

Only Keydisk can lock/unlock | Only the Keydisk is used for locking and unlocking purposes. Passwords are not used.
Both Keydisk AND Password are needed to lock/unlock | Both the Keydisk and the password are required for locking and unlocking purposes. Both Keydisk and password need to be valid and working for any locking/unlocking process to occur. This provides maximum security.
Either Keydisk OR Password can unlock | Either the Keydisk or the password can be used to unlock SecureIt Pro. However, to lock SecureIt Pro, both must be used.

Note: To use the Keydisk function effectively, a blank floppy disk should be inserted into the first removable drive (normally A:\) on your computer when you lock SecureIt Pro. However, remember to take the Keydisk away after SecureIt Pro has written to it.


Main Interface Lock

SecureIt Pro's main interface is prone to attack - if you leave your computer unattended for a short period of time, a malicious user can come and lock your computer with a password unknown to you, thereby locking you out of your system.

Use SecureIt Pro's main interface locking feature to prevent this from happening - having this feature enabled will prompt the user for a password each time the main interface is accessed after it has been hidden. Check the Enable Main Interface Lock checkbox to activate this feature. Enter a password, reminder question and reminder answer as well in the appropriate fields.


Messages

John couldn't leave a message for you because you had locked your computer. Now he's long gone and not contactable. Stop this from happening - use SecureIt Pro's own little message-taking service.

SecureIt Pro's message feature allows other people to leave messages for you while SecureIt Pro is locked. Essentially, it is a message taking service. When you unlock SecureIt Pro, saved messages can be displayed.

Check the Enable Messages checkbox if you want to enable SecureIt Pro's messages feature. Optionally, click either Name Filter or Offensive Word Filter to set further options regarding messages.


Name Filter

Want to stop particular people from leaving messages? Use the name filter feature and block out those annoying people.

To use the name filter feature, check the Enable Name Filter checkbox. Then enter the name to block in the Name field, and click the Add Name button. The list of filtered names appears in the Filtered Names list. To remove a name from the filtered names list, select the name from the list and click the Remove Name button.

Note: Names are NOT case sensitive.


Offensive Word Filter

F#@& you! Tired of offensive words being left in messages? Use the offensive word filter to block out these words from messages that have been saved.

If you want to use the offensive word filter, check the Enable Offensive Word Filter checkbox. To add a word, enter it in the Word field, and click the Add Word button. The list of filtered words appears in the Filtered Words list. To remove a word from the filtered words list, select it in the list and click the Remove Word button.

Note: Filtered words are NOT case sensitive.


Multiple Passwords

Have a few friends who you trust with your computer, but don't want them to know your password in order to use it? Multiple passwords is the answer - assign each friend a separate password that they can use to unlock SecureIt Pro.

To use the multiple passwords feature, check the Enable Multiple Passwords checkbox. Enter a password in the Password field, and then click Add Password to add it to the list of accepted multiple passwords. To remove a password, select it from the Passwords list, and click the Remove Password button.

The Mask Password(s) checkboxes either hide or unhide the password(s) behind asterisks (*), if they are checked or unchecked, respectively.

Note: Multiple password passwords are CASE SENSITIVE. Also, they CANNOT be used as the locking password.


Password Attempts

Want to keep track of all the attempts made at hacking into your computer? Let SecureIt Pro do it for you - use incorrect password attempt logging to log all the incorrect password attempts that SecureIt Pro detects.

To allow SecureIt Pro to log incorrect password attempts, check the Enable Logging of incorrect Password Attempts checkbox.

Logged incorrect password attempts can be displayed when SecureIt Pro is unlocked.


Password Protect Settings

Want to stop people from accessing your settings and changing them? Use SecureIt Pro's password protect settings feature to lock your settings with a password so only you (and whoever else knows your password) can view and change the settings.

Enable the password protect settings feature by checking the Enable Settings Password Protect checkbox. Enter a password in the Password field. The Reminder Question and Reminder Answer also need to be filled in - just in case you forget the password and lock yourself out of your settings.

Note: The settings here will also affect the advanced settings - that is, any password set here will also lock the Advanced Settings dialog.


Password Reminder

Forgot your password? Uh oh. Thankfully you used the password reminder, and all you need to do is enter an answer to your question. Voila - you have your password.

Password reminders can be enabled by checking the Enable Password Reminder checkbox. Enter the 'secret question' and 'secret answer' in the Question and Answer fields respectively.

Note: The question and answer are NOT case sensitive.


Password Verification

You entered your password incorrectly and you know it. But that's all you know - you don't know exactly what you have entered, and now you're locked out of your computer. Stop this from happening - verify your password before you lock, using SecureIt Pro's password verification feature.

To enable password verification, check the Enable Password Verification checkbox. Then, select either one of the two options regarding how SecureIt Pro will verify the password.

SecureIt Pro will display a password verification screen when you lock your computer. What is displayed depends on your selection - read on.

Prompt to re-enter password

This option displays a screen similar to the one above, and prompts you to re-enter your password. If both the passwords match, then SecureIt Pro will continue the locking operation. If not, you will be informed.

Display Password and ask for Verification

This option displays your password (unmasked) and asks you if the displayed password is the password that you entered. If it is, click Yes.

Note: If QuickSecure is enabled and SecureIt Pro is locked using QuickSecure (double-click on its system tray icon), then the password will NOT be verified!


QuickSecure

Need to go somewhere in a rush? No time to go through the normal SecureIt Pro locking process? Use QuickSecure - a double-click of SecureIt Pro's system tray icon and you can go wherever you want.

QuickSecure locks your computer using a password that is present in the Password field in the main interface. To use QuickSecure, check the Enable QuickSecure checkbox.

Note that SecureIt Pro must be running for QuickSecure to work. If you want to lock SecureIt Pro as soon as it starts, see the QuickLock feature.

Note: If QuickSecure is enabled, then your password will remain in the password box after you unlock SecureIt Pro.

Further note: If QuickSecure is enabled and Password Verification is also enabled, then your QuickSecure password will NOT be verified if using QuickSecure (double-click) to lock!


Startup

Need to lock your computer when it starts up? Or maybe you just can't be bothered starting SecureIt Pro manually each time you need to use it. Let SecureIt Pro start itself at startup then.

To start SecureIt Pro when Windows starts, check the Start SecureIt Pro when Windows starts checkbox. SecureIt Pro can either start normally (Interface), or minimized to a system tray icon (Icon).

SecureIt Pro can also lock itself when it starts with Windows. Check the Lock SecureIt Pro when it starts with Windows checkbox to let SecureIt Pro lock your computer as it starts with Windows. Enter a password in the Password field. This password will be used by SecureIt Pro to lock your computer when it starts at Windows startup.


Termination

Want to stop hackers - for good? Shut down your computer - easy.

SecureIt Pro's Termination feature can terminate Windows when a specified number of incorrect password attempts has been detected. This is useful for stopping malicious users from continuously attempting to hack into your computer - if it's turned off, what can they do?

To enable the termination feature, check the Enable Windows Termination checkbox. Then, enter the number of incorrect password attempts SecureIt Pro should wait for before terminating Windows. Then select the termination type - force, log off, reboot, or shutdown.

Users please note: When SecureIt Pro terminates Windows after a specific number of incorrect password attempts, the computer may be powered back up. If SecureIt Pro is not set to start with Windows, then the malicious user may be able to evade SecureIt Pro's security this way. It is recommended that Termination be used in conjunction with the Startup feature, or with Cold Boot Detection. Upon termination of Windows by SecureIt Pro, Cold Boot Detection will see this as a 'cold boot', and will start SecureIt Pro back up after the computer is turned back on.


Time Delay

Want to slow malicious users down? Use time delay - every specified number of times that SecureIt Pro detects an incorrect password attempt, it will 'freeze' for an elected number of seconds, which slows down malicious users.

Check the Enable Time Delay checkbox to enable the time delay function. Enter the number of seconds each time delay should last for, and also the number of incorrect password attempts to wait before activating the time delay.


Advanced Settings

SecureIt Pro's advanced settings dialog allows you to set a multitude of options regarding the more advanced facets of SecureIt Pro.

In this section, read about:

  • After Unlocking
  • Main Interface Autohide
  • MouseAlive
  • Password Retrieval
  • QuickLock
  • Registry Diagnostics
  • Registry Options
  • Reset SecureIt Pro
  • Shortcut Keys
  • Startup Method
  • SecureIt Pro Screen Saver
  • Screen Saver Disabling


After Unlocking

Want SecureIt Pro to minimize to the system tray straight after you unlock it to get it out of the way? Or maybe you'd rather not look at any messages. Either way, use the after unlocking settings to determine what SecureIt Pro does after it is unlocked. Simply check (or uncheck) the box next to the option you want to enable (or disable). These options are explained in more detail below.

Don't show Messages regardless | Does not display saved messages at all
Don't show logged Incorrect Password Attempts regardless | Does not display logged incorrect password attempts at all
Exit SecureIt Pro | Exits SecureIt Pro straight after it is unlocked
Hide the Main Interface | Hides the SecureIt Pro main interface after unlocking
Leave the Password in the box | Leaves the previous password in the Password field in the SecureIt Pro main interface


Main Interface Autohide

Want to see the full picture? (Of the background of course.) SecureIt Pro can be set to automatically hide its main interface every so often while it is locked.

To enable the autohide feature, check the Enable Main Interface Autohide checkbox.

Hide Main Interface straight after SecureIt Pro is locked | Hides the main interface immediately after locking.
Hide Main Interface after time delay | Hides the main interface after the specified time delay has been reached. Enter the number of seconds to wait before hiding the main interface in the appropriate field.
Hide Main Interface after mouse inactivity | Hides the main interface after a specified time of mouse inactivity. Enter the number of seconds of mouse inactivity to wait before hiding the main interface in the appropriate field.


MouseAlive

Screen going blank? Is a password-protected screensaver stopping you from accessing SecureIt Pro? Use MouseAlive to keep the mouse moving in order to trick your computer into thinking that you are still actively using your computer.

Check the Enable MouseAlive checkbox to enable MouseAlive. MouseAlive moves the mouse cursor every random number of seconds to a random position on the screen.


QuickLock

Need to conserve system resources, but also need a fast way to start and lock SecureIt Pro? QuickLock is the answer.

QuickLock is much alike QuickSecure, but the difference is that QuickLock is used when SecureIt Pro is not yet running - if QuickLock and AutoLock are enabled, then starting SecureIt Pro will lock it as well.

QuickLock provides a quick and easy way to lock your computer quickly, without SecureIt Pro having to be run all the time. AutoLock for QuickLock is a setting whereby SecureIt Pro will lock itself when started, even if there is not an appropriate command line argument for QuickLock.

Without AutoLock, you will need to pass the /QL command line argument to SecureIt Pro if you want it to QuickLock when it starts. Also, the Enable QuickLock checkbox needs to be checked. The Password to use field contains the password that SecureIt Pro will use to lock your computer when it is QuickLocked. Enabling AutoLock for QuickLock allows the usage of QuickLock without passing the command line arguments.


Password Retrieval

Password Retrieval options allow you to set how your password is given back to you if you forget it and use either the Password Reminders or Back Door feature to access it (the password, or unlocking SecureIt Pro in the case of the back door).

SecureIt Pro has many password reminder screens for times when you forget your password. Examples of places where password reminders can be found include in the main interface while SecureIt Pro is locked, in the Main Interface Lock feature, and also Settings Password Protect. The password retrieval screen has a few settings:

Password Reminder Screens

This sets how the correct password is returned to you in password reminder screens, like the ones mentioned above. Specify Display the original password if you want SecureIt Pro to show you your original password. Select Create a new password and use that instead if you want SecureIt Pro to create a temporary password for you. This could be used to protect the identity of your original password.

Note that you still have to type in an answer to your specified reminder question before you can get a password back. Once SecureIt Pro gives you the password (be it your original password or a new one that it has created), you then need to use that password to unlock the feature you are trying to access.

Back Door

When you activate the back door using the correct information (set during First Time Initialization), SecureIt Pro can either 'unlock' itself immediately (after you click the Unlock button), or it can give you a code that you must enter in order to 'unlock' SecureIt Pro.

The code will be given to you once you have successfully activated the SecureIt Pro back door. SecureIt Pro will give you instructions on how to enter this code.


Registry Diagnostics

The Registry Diagnostics feature saves a copy of SecureIt Pro's program data (stored in the Windows Registry) to a file that is specified in the Diagnostic file's filename box. You can change this filename if you want. SecureIt Pro defaults to saving a file called sip_regdiag.reg in the folder it is installed.

This diagnostic file can be used by Quantrix technical support to assist you in SecureIt Pro enquiries. You may be asked to send in your registry diagnostic file to Quantrix.

Alternatively, if you wish to save your SecureIt Pro settings to a file, this is the way to do it. Just click the Click to save registry diagnostic file to above path button to save SecureIt Pro's settings to the path nominated in the box. If you save the file with a ".reg" extension, then you can simply port this file from computer to computer and double-click on the .reg file to restore your SecureIt Pro settings.


Registry Options

Want more control over where SecureIt Pro saves its data? SecureIt Pro's registry options setting allows you to do exactly that.

HKEY_LOCAL_MACHINE | Settings are saved under HKEY_LOCAL_MACHINE in the Windows Registry. They will apply to the whole computer and every user.
HKEY_CURRENT_USER | Settings are saved under HKEY_CURRENT_USER in the Windows Registry. They will apply only to the user who is logged on.


Reset SecureIt Pro

This feature allows users to reset SecureIt Pro's data that it stores in the Windows Registry. Doing this will effectively revert SecureIt Pro to the state it was in when you originally installed it.

This feature is useful for users who have forgotten passwords or have forgotten what they entered for First Time Initialization - resetting SecureIt Pro will reset all this information and allow you to re-enter it again.

Click the Reset SecureIt Pro button to reset SecureIt Pro. You will be asked to confirm your action twice. If you choose to proceed, SecureIt Pro will wipe it's stored data from the Windows Registry and shut down. You will need to manually restart it later.

Note: Once reset, SecureIt Pro's data cannot be restored.


Shortcut Keys

Need to QuickSecure SecureIt Pro, but can't be bothered using the mouse? Use shortcut keys to do the job.

To use SecureIt Pro's shortcut keys, check the Enable Shortcut Keys checkbox. Then, select the shortcut you want to define the key for under Available Shortcuts. Then click the Shortcut Key field and it will turn color. Press the shortcut key combination and it will be displayed. To cancel a shortcut key, click in the Shortcut Key field, and press the Escape button on your keyboard. The current shortcut key will be cancelled.


Startup Method

SecureIt Pro allows you to set when and how it loads at Windows startup (if it loads at startup). This setting determines how Windows treats SecureIt Pro as an executable.

Running SecureIt Pro as a normal program means that it is run and given the same priorities as any other program that starts at startup, like the Office Shortcut Bar for example. The Normal Program setting means that SecureIt Pro is also seen as any other program that you would run during the Windows session. Setting SecureIt Pro to start as a normal program means that it will start every time a user logs on.

Running SecureIt Pro as a system service gives it a higher priority and also loads it during the Windows logon process. This could be used as an 'alternate logon' feature, or security for logon. Setting SecureIt pro to start as a system service means that it is only run once per boot - if a user logs off and then logs back on, SecureIt Pro will not be run.


SecureIt Pro Screen Saver

To provide more protection, SecureIt Pro can either start instead of your current screen saver, or it can start 'underneath' your screen saver, essentially providing a 'double layer' of security - the screen saver, and then SecureIt Pro.

To enable the SecureIt Pro screen saver feature, simply check the box next to Use the SecureIt Pro screen saver feature. Then, select your preferred mode of operation. Both are explained below. In order to use the screen saver in any mode, you will need to specify a password. Enter a password in the Password field. To toggle the masked state (hidden state) of the entered password, check or uncheck the Mask Password checkbox.

To show the screen saver display properties page, click the Show Screen Saver Display Properties button. This will show the Windows Display Properties control panel applet and display the screen saver page.

In lieu of existing screen saver

This option will mean that SecureIt Pro will take over your current screen saver, and will act as a screen saver, starting after a period of inactivity specified in the screen saver display properties. In essence, SecureIt Pro is your screen saver.

To use this option, you must have SecureIt Pro set to your default screen saver. This can be done automatically by SecureIt Pro, or you can do it manually. Just click the Show Screen Saver Display Properties button, and change the current screen saver to the SecureIt Pro Screen Saver.

When this option is set, SecureIt Pro acts as your Windows screen saver. It will start after the period of inactivity set in the Wait: field in the screen saver page of the display properties control panel applet.

Note: SecureIt Pro does not have to be running for this mode to be used.

Under existing screen saver

If SecureIt Pro is set to screen save under the current screen saver, then it will lock your computer after the screen saver has been defeated (deactivated by a mouse movement, etc). You keep your current screen saver settings, and SecureIt Pro will lock your computer when it has detected that a screen saver has started and ended.

Note: SecureIt Pro MUST be running in order for this mode to be used.


Screen Saver Disabling

For the security-conscious, SecureIt Pro's Windows screen saver disabling feature may provide for more peace of mind. Sometimes, in very rare circumstances, when the Windows screen saver activates, there may be a way by which a malicious user may gain access to the system and bypass SecureIt Pro's security. You can disable the screen saver using this feature.

To enable this function, simply check the Enable Windows screen saver disabling checkbox at the top. The settings underneath it are for more advanced users - normally you can just leave them both checked. Note that if you uncheck both of the settings underneath the main setting, Windows screen saver disabling will be disabled.


Locking

Locking is extremely simple. All you have to do is remember two easy steps:

  1. Enter a password in the Password field.
  2. Click Lock

SecureIt Pro does the rest.

If Keydisk is enabled, then you will need to have a blank (preferably) floppy disk inserted into the first removable drive in your computer - normally A:\ drive.

If Keydisk is enabled, and ONLY Keydisk is selected, then the main interface will appear like:

Here the locking procedure is extremely simple as well. Follow two easy steps:

  1. Insert a blank floppy disk
  2. Click the Keydisk [image] button

SecureIt Pro will search for the floppy and write the 'key' to it. Take it out of the drive once you are finished - remember, it is your 'key' to the computer.


Unlocking

To unlock SecureIt Pro, follow two easy steps:

  1. Enter the correct password in the Password field
  2. Click Unlock

If Keydisk has been used, make sure that the Keydisk is inserted into the disk drive before you unlock.

If EITHER Keydisk or Password has been selected for use for locking/unlocking purposes, then you can click the Keydisk button [image] and use the Keydisk to unlock SecureIt Pro, without entering a password if you so wish.

If ONLY Keydisk has been selected for use, then the main interface will look like:

To unlock SecureIt Pro in this state, follow two easy steps again:

  1. Insert the Keydisk into the disk drive
  2. Click the Keydisk [image] button

Once you have unlocked SecureIt Pro, saved messages and logged incorrect password attempts will be displayed.


View Messages

This screen allows you to scroll through and view the messages that have been saved. Once done, click Close.


View Incorrect Password Attempts

This screen allows you to scroll through and view the incorrect password attempts that SecureIt Pro has logged. Click Close when done.


Leaving Messages

Leaving messages is simple. Enter a name and message in the Name and Message field respectively, and click the Save button. A dialog will pop up informing you of the result. To clear the entered message, click the Clear Message button.

Note: You cannot clear messages that have been already saved.


Security

SecureIt Pro has an extensive array of security features that will ensure that your desktop is secure and stays secure.

Disabling Ctrl+Alt+Del, SecureIt Pro effectively blocks access to the Windows task manager. Alt+Tab, Ctrl+Esc, the Windows key, and other Windows keyboard functions are disabled as well, which ensures that SecureIt Pro remains the only program that people can access, while your computer is locked.

The Windows boot keys can be disabled to prevent malicious users from accessing other modes of operation for Windows which would stop SecureIt Pro from running. SecureIt Pro can also detect for cold boots - this stops malicious users from trying to evade the security login by physically turning the computer off at the power point. When power is reapplied, SecureIt Pro starts up and locks - much to the surprise of the unsuspecting hacker.

For automatic startup security, SecureIt Pro can be set to start with Windows and lock when it starts up. Users will need to enter a valid password before gaining access to Windows.

Event logging allows you to keep track of invalid Keydisks and invalid password attempts. A time delay option 'freezes' your computer for a specified time period after a set number of incorrect password attempts has been detected. This slows down would-be hackers from attacking your computer.

Keydisks are also another advanced security feature in SecureIt Pro. Read about them here.

The SecureIt Pro main interface and even its settings can be secured with a password. You can even assign a group of people a number of passwords which can all unlock SecureIt Pro.

With all these passwords, it's nice to know that SecureIt Pro has necessary features so that legitimate users are not locked out of their computer as well. All of SecureIt Pro's password protected features also have a password reminder attached - when you forget a password, simply enter the answer to a 'secret question' and your password will be revealed. Also, an advanced back door function allows legitimate users to regain access to their computer if all else fails.

With all this in mind, securely securing your computer with SecureIt Pro isn't a problem - your computer's security is safe in SecureIt Pro's hands.


Keydisk

A key opens the lock to your front door. Why not have a 'key' to unlock your computer?

SecureIt Pro's Keydisk feature is a secure way to lock and unlock your computer. A unique string is stored on a floppy disk - the 'key' - and verified upon unlocking. The string stores a variety of information regarding SecureIt Pro and your computer system, plus a few randomly generated figures to ensure greater exclusivity.

Some Keydisk information includes a 32bit hard disk identifier code that is extremely hard to duplicate. Other information includes data regarding the actual SecureIt Pro program and your operating system. Random numbers help to ensure that your key is unique and cannot be duplicated by a malicious user.

This information and more make the key that is stored on a floppy disk that you take away with you after you have locked your computer. When you need to unlock the computer, all you need to do is insert the Keydisk and unlock your computer.

Providing extra security and safety, SecureIt Pro's Keydisk function is another one of many helpful and useful additions to SecureIt Pro which combine to help make life easier for you - and more secure.


Version History

SecureIt Pro Version History

Current version: 4.70

Version 1.00

  • Initial public release

Version 1.01

  • Minor interface alterations
  • Minor bug fixes

Version 2.00

  • Added Multiple Users feature
  • Added QuickSecure feature
  • Added Message Leaving feature
  • SecureIt Pro can now launch when Windows starts
  • Minor interface changes

Version 2.01

  • Fixed hang on some machines when About box was viewed when SecureIt Pro was locked
  • Minor interface changes

Version 2.02

  • Fixed bug that allowed users on some machines to access the Windows Start menu if it was set to auto-hide

Version 3.00

  • Added name filter
  • Added offensive word filter
  • Main interface now resizes according to state
  • Changed SecureIt Pro icon and system tray icon
  • Added custom message prompt feature
  • Added ability to set the background when locked (users can now choose between default, color, bitmap, wallpaper, or screen capture)
  • Added ability to save and copy messages to disk and clipboard
  • Enhanced message and incorrect password viewing dialogs
  • Major interface changes - SecureIt Pro looks friendlier and more colorful (most of the time...)
  • Added nice splash screen
  • Settings are now saved and retained
  • Assorted bug fixes

Version 3.01

  • Minor interface changes
  • Miscellaneous bug fixes

Version 3.02

  • Minor bug fixes
  • Minor interface alterations

Version 4.00

  • Added Quick Help feature to many dialogs
  • Added Cold Boot Detection feature
  • Added Event Logging feature
  • Added Termination feature
  • Added Audio/Visual Warning feature
  • Added Boot Key Disabling feature
  • Custom picture select now supports not only Windows bitmap (BMP), but JPG, GIF, WMF, EMF and ICO as well
  • Added Locked when Starting Up ability
  • Changed layout of menus (a bit...)
  • Improved Registry saving
  • Improved Security features
  • Interface changes - revamped Settings dialog completely
  • SecureIt Pro now disables the Microsoft Office Shortcut Bar
  • Bug fixes relating to Bitmap, Screen Capture and Wallpaper background feature
  • Miscellaneous bug fixes

Version 4.01

  • Added picture preview feature
  • Added View Event Log feature
  • Bug fixes
  • Interface changes

Version 4.02

  • Added Print function to View Message dialog
  • Minor interface changes
  • Other fixes

Version 4.10

  • Added KeyDisk feature for extra security
  • Added Password Protect Settings feature
  • Completely redesigned Settings dialog to make settings and options easier to get to
  • Added Password Reminder feature
  • Added Default button on settings so that you can revert back to original factory settings if you want
  • Interface changes
  • Bug fixes

Version 4.11

  • Fixed Locked at Startup bug
  • Miscellaneous fixes

Version 4.12

  • Bug fixes
  • Interface changes to make settings even more user-friendly

Version 4.50

  • SecureIt Pro has been totally and utterly rebuilt, recoded and remade
  • New (legitimate) back door function has been built in for lockout cases
  • Improved Keydisk function
  • Added ability to secure the main interface with a password
  • Removed usernames - they were getting in the way
  • Added password protection to the settings
  • New password verification feature prompts user for verification of entered password before continuing with a locking process
  • Improved password reminder feature
  • New advanced settings dialog for deeper settings
  • New option set regarding SecureIt Pro's behavior right after unlocking
  • Added feature to hide the main interface while locked
  • New MouseAlive feature prevents screensaver from activating (which was a way by which the security might be defeated)
  • Added new QuickLock feature for fast locking of your computer - like QuickSecure
  • Improved QuickSecure function
  • Added setting that allows user to change where registry entries for SecureIt Pro are saved
  • New shortcut key functions provide for faster access
  • Improved incorrect password attempt and message viewing screens and settings
  • Improved security and reliability
  • Major interface changes

Version 4.51

  • Bug fixes for message and incorrect password attempt display windows

Version 4.55

  • Bug fixes for Startup functions
  • First Time Initialization changes - existing users will have to reconfigure initialization due to changes
  • Altered backdoor transmit code due to anomalies in received data from users
  • Bug fixes for AutoLock feature of QuickLock function
  • Fixed issue where password verification dialogs would pop up at unnecessary times
  • Minor cosmetic changes

Version 4.56

  • Added Startup Method option for more control over SecureIt Pro when it starts with Windows
  • Bug fixes for Multiple Password settings
  • Bug fixes for Name and Offensive Word Filters
  • Other miscellaneous bug fixes
  • Minor interface changes

Version 4.57

  • Fixed incorrect icons being displayed on some machines
  • Fixed bug where Keydisk feature was not reinstated after SecureIt Pro was restarted
  • Fixed other Keydisk-related issues, including Keydisk startup issues
  • Minor bug fixes

Version 4.58

  • Fixed bug with Termination after a set number of incorrect password attempts
  • Fixed issue with SecureIt Pro 'disappearing' after unlocking if minimizing after unlock and starting as a system service
  • Altered Boot Key Disabling function - Windows NT/2000 users cannot use this function
  • Improved the SecureIt Pro help system
  • Fixed rare issue where Boot Key Disabling would not work with Windows 98 machines that would cause a File Not Found error during the locking sequence
  • Other bug fixes and minor cosmetic alterations

Version 4.60

  • Added SecureIt Pro screen saver feature due to popular demand
  • Added Windows screen saver disabling feature
  • Fixed bug where in some cases SecureIt Pro would only start up once unless the settings were set again
  • Corrected a few minor cosmetic anomalies

Version 4.61

  • Major security breach in 4.60 fixed
  • Other minor bug fixes

Version 4.65

  • Fixed runtime errors that were intermittently popping up (especially the pesky number 5 - hopefully)
  • Fixed bugs with Settings screen
  • Added additional EULA agreement upon running SecureIt Pro
  • Added new Password Retrieval options in Advanced Settings
  • Additional instructions and notes in First Time Initialization
  • Added Password Reminders nag for those forgetful users
  • Other minor bug fixes and enhancements

Version 4.70

  • Fixed a problem with the back door, where under some circumstances either any code could be used to activate it, or it would not activate at all with any code
  • Added a Reset SecureIt Pro feature to Advanced Settings
  • Users must now re-enter their back door key upon first time initialization for confirmation
  • Users now keep track of their own back door information - it is no longer sent in to Quantrix
  • Fixed the very ambiguous "An unexpected error has occurred. 0 - - " error message - error messages are now more meaningful!
  • Fixed the unexpected error 0 that would pop up sometimes when users entered Settings or Advanced Settings
  • Added a Registry Diagnostic feature to Advanced Settings
  • Fixed Audio Visual Warnings' visual flash background feature
  • Fixed a bug with Multiple Passwords where empty passwords would be loaded under certain conditions
  • Fixed bugs with Name Filter and Offensive Word Filter where empty words would be loaded for filtering
  • Fixed censoring bug with Offensive Word Filter where SecureIt Pro would censor the wrong words (woops)
  • QuickSecure does not require a Password Verification anymore
  • Minor interface changes


Quantrix on the Web

About SecureIt Pro

SecureIt Pro is brought to you by Quantrix Corporation

Copyright © 1999-2002 Danny Liu of Quantrix Corporation

Portions Copyright © 1999-2000 Alex Wong and Barron Koo of Quantrix Corporation

Portions Copyright to their respective owners

Copyright © 1999-2002 Quantrix Corporation

Visit our Website: http://go.to/quantrix

Send us e-mail: quantrix@mail.com

Legal Information | End User's License Agreement

Note that any information contained within the documentation may change at any time without prior notice.

Copyright © 1999-2002 Quantrix Corporation.


Quantrix Copyright Notice

Quantrix Copyright Notice Regarding Documentation

Permission to use documents from Quantrix documentation and related articles ("Documentation" from hereon in) is granted, provided that the following conditions are fulfilled: (1) a Copyright notice appears in all copies made of the Documentation (expressly stating Copyright ownership to Quantrix Corporation or Danny Liu CEO - where applicable); (2) use of documents from the Documentation is for informational and non-commercial or personal use only; and (3) no modifications of any documents are made. Use for any other purpose is expressly prohibited unless permission in writing is obtained from Quantrix Corporation.

'Documents' specified above do not include the design or layout of the Website or any other Quantrix operated, licensed or controlled site. Elements of the Documentation are protected by international copyright treaties. Logos, graphics, sounds or images from the Documentation may be copied or retransmitted provided that: (1) Quantrix is given prior notice of this occurring (at least 24 hours notification is required); and (2) Quantrix has not objected in any way to the retransmission or copying of aboveforementioned materials.

Quantrix and/or its respective suppliers make no representations about the suitability of the information contained in the documents and related graphics published in the Documentation for any purpose. All documents and related graphics or other materials are provided "AS IS" without any warranty, expressed or implied, of any kind. Quantrix and/or its respective suppliers hereby disclaim all warranties and conditions with regard to this information, including but not limited to all implied warranties and conditions of merchantability, fitness for a particular purpose, title and non-infringement. In no event shall Quantrix and/or its respective suppliers be liable for any special, indirect or consequential damages or any damages whatsoever resulting from loss of use, data, or profits, whether in an action of contract, negligence, or other tortuous action, arising out of or in connection with the use of information provided in the Documentation..

Documents and related graphics and other material published in the Documentation could include technical inaccuracies or typographical errors. Changes are periodically added to the information in the Documentation. Quantrix may make improvements and/or changes in the product(s) and/or the program(s) described herein at any time.


Quantrix Corporation End User

Quantrix SecureIt Pro End User's License Agreement

IMPORTANT - READ THE FOLLOWING CAREFULLY - This Quantrix End User License Agreement ("License" from hereon in) is a legal agreement between you (either an individual or a single entity) and Quantrix Corporation (proprietary to Danny Liu) for the Quantrix Software product this License was distributed with, which includes computer software and may include associated media, printed materials, and electronic documentation ("Software" from hereon in). By installing, copying, or otherwise using the Software product, you agree to be bound by the Terms of this License. If you do not agree to the Terms of this License, do not install or use the Software product.

This License grants You, the user ("User" or "You" from hereon in) a non-exclusive License to use Quantrix Software products on the Terms and Conditions of this License that follow:

LICENSE - You may Use and Copy the Software in machine/computer perceivable format provided You reproduce Quantrix's Copyright notice and any other included Files.

RESTRICTIONS - You may only distribute or redistribute the Software if advanced notification (of at least 72 hours) is given to Quantrix Corporation. Redistributing Quantrix Software without informing Quantrix Corporation prior to redistribution is an infringement of this License. Quantrix Software contains trade secrets and in the interest of protecting them you may NOT decompile, reverse engineer, disassemble, or otherwise reduce the Software to a human readable or interpretable format. You may NOT modify, translate, lease, loan, rent, adapt, resell for profit or create works based upon the Software or any part of it thereof.

OWNERSHIP - Software is copyrighted by, proprietary to, and a trade secret of Quantrix Corporation, and where applicable Danny Liu (CEO). Quantrix retains the title, ownership and intellectual property rights in and to the Software and all subsequent copies made regardless of the media or format. The Software is protected by copyright laws of Australia and international copyright treaties. This License is NOT a sale of the Software.

TERMINATION - This License is effective until terminated. This License will terminate automatically without notice if you fail to comply with any of the Terms and Conditions or provisions mentioned. Upon termination you shall destroy or in some way render useless and incomprehensible all copies of the Software, including any partial copies made.

DISCLAIMER OF WARRANTY - The User accepts all risks which may arise from the use of the Software, including but not limited to errors in the transmission or corruption of existing data or software. Quantrix makes no warranties, expressed or implied, and specifically disclaims any warranty of noninfringement of third parties' rights, warranties of merchantability and of fitness for a particular purpose. The User's rights may vary from country to country, state to state.

LIMITATION OF LIABILITY - To the maximum extent permitted by applicable law, in NO event shall Quantrix or its suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, but not limited to, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the Software, or the provision of or failure to provide support services, even if Quantrix shall have been advised of the possibility of such damages.

GENERAL - You agree that this is the complete agreement concerning this License. You are aware that the terms and/or conditions of this License may change in any way at any time, with or without prior or other notification of any nature. You assume full responsibility for the legal and responsible use of the Software. Should any provision, term or condition of this License be declared unenforceable in any jurisdiction, then such provision, term or condition shall be deemed to be severeable from this License, and shall NOT effect the remainder hereof.


Locked Settings

This section allows you to change settings regarding the appearance and behavior of various portions of SecureIt Pro while it is locked.

  • Audio Visual Warnings
  • Background
  • Termination